#
# spec file for package gimp-plugin-resynthesizer
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gimp-plugin-resynthesizer
Version:        2.0.3~git.20220422
Release:        1.3
License:        GPL-3.0-or-later
Summary:        Suite of gimp plugins for texture synthesis
URL:            https://github.com/bootchk/resynthesizer
Group:          Productivity/Graphics/Bitmap Editors
Source:         %{name}-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  gimp
BuildRequires:  gimp-devel
BuildRequires:  intltool
BuildRequires:  pkgconfig(glib-2.0)
Requires:       gimp-plugins-python
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package is a set of plugins for use with the Gimp program.
The package includes:

- resynthesizer plugin engine (without a GUI)
- resynthesizer-gui plugin control panel for the engine
- various plugins (in Python language) that call the resynthesizer engine

%prep
%autosetup

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang resynthesizer

%clean
rm -rf %{buildroot}

%files -f resynthesizer.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_libdir}/gimp/2.0/plug-ins/*
%{_datadir}/resynthesizer/

%changelog
* Thu Sep  8 2022 Paolo Stivanin <info@paolostivanin.com>
- Update to 2.0.3~git.20220422:
  * Fix Filter>Render>Texture improperly yields a transparent image
    for an input image with alpha channel.
* Wed Nov 10 2021 Paolo Stivanin <info@paolostivanin.com>
- Update to 2.0.3.20210530:
  * implement imageSynth2 which takes two masks
  * update translations
  * update documentation
* Thu May 28 2020 Paolo Stivanin <info@paolostivanin.com>
- Add missing copyright header to the spec file
* Mon May 11 2020 info@paolostivanin.com
- Update to version 2.0.3.20190428:
  * Adding missing translation on progress bar text.
  * Adding French Translation and updating all po files with new strings.  Tweaked README on how to use translation files on Ubuntu.
  * Add vagga test gimp-plugin-registry and installed resynthesizer.
  * Add vagga scripts for testing build
  * README: replace dead links with archive
  * Issued #47 typo in readme
* Thu Jan  2 2014 pgajdos@suse.com
- updated to git snapshot 77eb3a6fc0
  * fixes build failure (am 1.13)
* Thu May 16 2013 prusnak@opensuse.org
- updated to git snapshot 23dced0908
  - fixes build failures
- added gimp-plugins-python dependency
- spec file cleanup
* Sun Jul  8 2012 jw@suse.com
- upgrade to 2.0, added autoconf/automake support
- linking with gthread-2.0
* Sun Jul  8 2012 jw@suse.com
- fixed missing intltool and SUSE_ASNEEDED
* Wed Oct 12 2011 dmacvicar@suse.de
- initial package
